#pragma pack(2)
#ifndef AROS_SYSTEM_H
#define AROS_SYSTEM_H

#ifndef _AROS
#   define _AROS
#endif
#ifndef __AROS__
#   define __AROS__
#endif
#ifndef AROS_MACHINE_H
#   include <aros/machine.h>
#endif



#if defined(_AMIGA) || defined(AMIGA)
#   ifndef _AMIGA 
#	define _AMIGA
#   endif
#endif



#if defined(__cplusplus)
#   define EXTERN extern "C"
#   define BEGIN_EXTERN     extern "C" {
#   define END_EXTERN	    };
#else
#   define EXTERN extern
#   define BEGIN_EXTERN
#   define END_EXTERN
#endif

#if defined(__STDC__) || defined(__cplusplus)
#define	    __const__	    const
#define	    __inline__	    inline
#define	    __volatile__    volatile


#if defined(__STDC__VERSION__) &&  __STDC__VERSION__ >= 199901L
#define	    __restrict__    restrict
#else
#define	    __restrict__
#define	    restrict
#endif

#else
#define	    __const__
#define	    const
#define	    __inline__
#define	    inline
#define	    __volatile__
#define	    volatile
#define	    __restrict__
#define	    restrict
#endif


#if __GNUC__ < 2 || __GNUC__ == 2 && __GNUC_MINOR__ < 5
#define __unused
#define __noreturn
#define __noeffect
#endif
#if __GNUC__ == 2 && __GNUC_MINOR__ >= 5 && __GNUC_MINOR__ < 7
#define __unused
#define __noreturn  __attribute__((__noreturn__))
#define __noeffect  __attribute__((__const__))
#endif
#if __GNUC__ == 2 && __GNUC_MINOR__ >= 7
#define __unused    __attribute__((__unused__))
#define __noreturn  __attribute__((__noreturn__))
#define __noeffect  __attribute__((__const__))
#endif


#if !defined(TEST) && !defined(DEBUG)
#   define NDEBUG
#endif
#pragma pack()
#include <assert.h>
#pragma pack(2)


#ifdef _AMIGA
#   include <aros/amiga.h>
#endif
#ifdef linux
#   include <aros/linux.h>
#endif
#ifdef _OSF1
#   include <aros/alpha.h>
#endif
#ifdef __FreeBSD__
#   include <aros/freebsd.h>
#endif
#ifdef __NetBSD__
#   include <aros/netbsd.h>
#endif
#ifdef __CYGWIN32__
#   include <aros/cygwin.h>
#endif


#if !AROS_STACK_GROWS_DOWNWARDS
#   define AROS_SLOWSTACKTAGS
#   define AROS_SLOWSTACKMETHODS
#endif 

#endif 

#pragma pack()
